Subject: Re: Possible Workaround - SSH/SSHD: could not chdir to home directory: No such file or directory
From: Philip Flip Kromer <[email-masked]>
To: [email-masked]
Date: Fri, 05 Apr 2002 03:45:37 -0600
Newsgroups: gmane.os.cygwin

No, /h is a local FAT32 drive. I also tried creating c:\foouser and 
changing (in /etc/passwd) my home directory to /c/foouser , so that I 
could check whether it was unhappy about changing drives.

If you have pointers to more information or discussions on this error 
please let me know.  I have this difficulty on both my home and work 
machines (win2K and WinXP).

flip

Corinna Vinschen wrote:
 > Sure has this been discussed.  Is /h a remote drive?  If so,
 > SYSTEM isn't able to access it.
 >
 > Corinna
 >
> On Fri, Apr 05, 2002 at 02:01:52AM -0600, Philip Flip Kromer wrote:
> 
>>Hello,
>>
>>I followed the recipe for setting up sshd under cygwin at
>>	http://tech.erdelynet.com/cygwin-sshd.asp
>>
>>Everything worked swimmingly, except..
>>  tick:~$ ssh me@localhost
>>  me@localhost's password:
>>  Fanfare!!!
>>  You are successfully logged in to this server!!!
>>  Could not chdir to home directory /h/me: No such file or directory
>>
>>..for the error message about not being able to find the home directory. 
>>sshd would still log me in, and would still set me in my home directory 
>>(which does exist).  The only problem (besides just annoyance) is that 
>>it also would not find my ~/.ssh to do RSA authentication with.
>>
>>Some other people have reported this error; see
>>  http://www.cygwin.com/ml/cygwin/1999-09/msg00276.html
>>  http://www.cygwin.com/ml/cygwin/2000-09/msg00032.html
>>  http://www.cygwin.com/ml/cygwin/2000-10/msg00758.html
>>  http://www.cygwin.com/ml/cygwin/2000-11/msg01274.html
>>
>>Nobody seems to have posted a fix or reason for the error; but if I run 
>>sshd under my account, rather than the SYSTEM account, it finds the home 
>>directories and RSA authentication works.
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/